> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # List Edge Scripts ## OpenAPI ````yaml https://core-api-public-docs.b-cdn.net/docs/v3/compute.json get /compute/script openapi: 3.0.0 info: title: bunny.net Compute API description: >- bunny.net Logo Edge Scripts and Compute API documentation for bunny.net. This API provides endpoints for managing edge scripts, releases, secrets, variables, and other compute-related resources. termsOfService: https://bunny.net/tos contact: name: bunny.net url: https://docs.bunny.net email: support@bunny.net version: 1.0.0 servers: - url: https://api.bunny.net description: bunny.net API Server security: - AccessKey: [] paths: /compute/script: get: tags: - Edge Script summary: List Edge Scripts operationId: ListEdgeScriptsEndpoint_ListEdgeScriptsByAccount parameters: - name: type in: query style: form explode: true description: |- Filter by edge script type 0 = DNS 1 = CDN 2 = Middleware schema: type: array nullable: true items: $ref: '#/components/schemas/EdgeScriptTypes2' x-position: 1 - name: page in: query schema: type: integer format: int32 default: 1 maximum: 2147483647 minimum: 1 x-position: 2 - name: perPage in: query schema: type: integer format: int32 default: 1000 maximum: 1000 minimum: 5 x-position: 3 - name: search in: query description: The search term that will be used to filter the results schema: type: string nullable: true x-position: 4 - name: includeLinkedPullzones in: query description: Include linked pullzones schema: type: boolean default: false x-position: 5 - name: integrationId in: query description: Filter by linked integration schema: type: integer format: int64 nullable: true x-position: 6 responses: '200': description: The list of scripts on the account. content: application/json: schema: $ref: '#/components/schemas/PaginationListModelOfEdgeScriptModel' '401': description: The request authorization failed '500': description: Internal Server Error security: - AccessKey: - User - UserApi - SubuserAPICompute - SubuserAPIDns - SubuserCompute - SubuserManage - SubuserAPIManage - ScopedApiKey - bearer: - User - UserApi - SubuserAPICompute - SubuserAPIDns - SubuserCompute - SubuserManage - SubuserAPIManage - ScopedApiKey components: schemas: EdgeScriptTypes2: type: integer description: |- 0 = DNS 1 = CDN 2 = Middleware x-enumNames: - DNS - CDN - Middleware enum: - 0 - 1 - 2 PaginationListModelOfEdgeScriptModel: type: object additionalProperties: false properties: Items: type: array nullable: true items: $ref: '#/components/schemas/EdgeScriptModel' CurrentPage: type: integer format: int32 TotalItems: type: integer format: int32 HasMoreItems: type: boolean EdgeScriptModel: type: object additionalProperties: false properties: Id: type: integer format: int64 Name: type: string nullable: true LastModified: type: string format: date-time ScriptType: description: |- 0 = DNS 1 = CDN 2 = Middleware oneOf: - $ref: '#/components/schemas/EdgeScriptTypes' CurrentReleaseId: type: integer format: int64 EdgeScriptVariables: type: array nullable: true items: $ref: '#/components/schemas/EdgeScriptVariableModel' Deleted: type: boolean LinkedPullZones: type: array nullable: true items: $ref: '#/components/schemas/LinkedPullZone' Integration: nullable: true oneOf: - $ref: '#/components/schemas/SourceCodeIntegrationModel' DefaultHostname: type: string nullable: true SystemHostname: type: string nullable: true DeploymentKey: type: string nullable: true RepositoryId: type: integer format: int64 nullable: true IntegrationId: type: integer format: int64 nullable: true MonthlyCost: type: number format: decimal MonthlyRequestCount: type: integer format: int64 MonthlyCpuTime: type: integer format: int64 EdgeScriptTypes: type: integer description: |- 0 = DNS 1 = CDN 2 = Middleware x-enumNames: - DNS - CDN - Middleware enum: - 0 - 1 - 2 EdgeScriptVariableModel: type: object additionalProperties: false properties: Id: type: integer format: int64 Name: type: string nullable: true Required: type: boolean DefaultValue: type: string nullable: true LinkedPullZone: type: object additionalProperties: false properties: Id: type: integer format: int64 PullZoneName: type: string nullable: true DefaultHostname: type: string nullable: true SourceCodeIntegrationModel: type: object additionalProperties: false properties: IntegrationId: type: integer format: int64 RepositorySettings: nullable: true oneOf: - $ref: '#/components/schemas/SourceCodeRepositorySettingsModel' DeployConfiguration: nullable: true oneOf: - $ref: '#/components/schemas/DeployConfigurationModel' SourceCodeRepositorySettingsModel: type: object additionalProperties: false properties: Id: type: integer format: int64 nullable: true Name: type: string nullable: true Private: type: boolean TemplateUrl: type: string nullable: true DeployConfigurationModel: type: object additionalProperties: false properties: Branch: type: string nullable: true InstallCommand: type: string nullable: true BuildCommand: type: string nullable: true EntryFile: type: string nullable: true CreateWorkflow: type: boolean securitySchemes: AccessKey: type: apiKey description: API Access Key authorization header name: AccessKey in: header bearer: type: apiKey description: Bearer token authorization header name: Authorization in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.